/* styles-up-button */
.DNPUp {
  display: none;
  position: fixed;
  z-index: 40;
  background-color: #e6effd;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
  border: none;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  cursor: pointer;
  bottom: 25px;
  right: 25px;
  border-radius: 8px;
  padding: 10px;
}

@media screen and (min-width: 600px) and (max-width: 1200px) {
  .DNPUp {
    bottom: 2vw;
    right: 2vw;
    border-radius: 0.8vw;
    padding: 0.9vw;
  }
}

@media screen and (max-width: 600px) {
  .DNPUp {
    bottom: 3vw;
    right: 3vw;
    border-radius: 1vw;
    padding: 1.5vw;
  }
}

.DNPUp.show {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.DNPUp-icon {
  width: 30px;
}

@media screen and (min-width: 600px) and (max-width: 1200px) {
  .DNPUp-icon {
    width: 3vw;
  }
}

@media screen and (max-width: 600px) {
  .DNPUp-icon {
    width: 6.5vw;
  }
}

.DNPUp-text {
  font-family: "Work Sans", sans-serif;
  color: #004884;
  font-weight: 500;
  font-size: 18px;
  -webkit-transition-duration: 1s;
  transition-duration: 1s;
  overflow: hidden;
  max-height: 20px;
  max-width: 0;
  display: flex;
  align-items: center;
}

@media screen and (min-width: 600px) and (max-width: 1200px) {
  .DNPUp-text {
    display: none;
  }
}

@media screen and (max-width: 600px) {
  .DNPUp-text {
    display: none;
  }
}

.DNPUp:hover .DNPUp-text,
.DNPUp:focus .DNPUp-text {
  padding-left: 7px;
  max-width: 150px;
}